Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.util
[Java] Class ManagedReference

    java.lang.Object
      org.codehaus.groovy.util.ManagedReference

All Implemented Interfaces:
  Finalizable

    public class ManagedReference
    extends Object

Authors:
  Alex Tkachman
  Jochen Theodorou

Constructor Summary
`ManagedReference(ReferenceType type, ReferenceManager rmanager, T value)`
`ManagedReference(ReferenceBundle bundle, T value)`

Method Summary
`void` | `clear()`
`void` | `finalizeReference()`
`T` | `get()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ManagedReference

    public ManagedReference(ReferenceType type, ReferenceManager rmanager, T value)

### ManagedReference

    public ManagedReference(ReferenceBundle bundle, T value)

Method Detail

### clear

    public final void clear()

### finalizeReference

    public void finalizeReference()

### get

    public final T get()

Copyright © 2003-2010 The Codehaus. All rights reserved.